{
    "class": "Workflow",
    "requirements": [
        {
            "class": "InlineJavascriptRequirement"
        },
        {
            "class": "StepInputExpressionRequirement"
        }
    ],
    "inputs": [
        {
            "type": "File",
            "inputBinding": {
                "loadContents": true
            },
            "id": "#main/my_file"
        }
    ],
    "steps": [
        {
            "run": {
                "class": "ExpressionTool",
                "requirements": [
                    {
                        "class": "InlineJavascriptRequirement"
                    }
                ],
                "inputs": [
                    {
                        "type": "int",
                        "id": "#main/one/run/my_number"
                    }
                ],
                "outputs": [
                    {
                        "type": "int",
                        "id": "#main/one/run/my_int"
                    }
                ],
                "expression": "${ return { \"my_int\": inputs.my_number }; }\n"
            },
            "in": [
                {
                    "source": "#main/my_file",
                    "valueFrom": "$(parseInt(self.contents))",
                    "id": "#main/one/my_number"
                }
            ],
            "out": [
                "#main/one/my_int"
            ],
            "id": "#main/one"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "int",
            "outputSource": "#main/one/my_int",
            "id": "#main/my_int"
        }
    ],
    "cwlVersion": "v1.1"
}
